Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 30 Dec 2019 19:45:01 +0100 (CET)
From:      =?UTF-8?Q?Trond_Endrest=C3=B8l?= <trond.endrestol@ximalas.info>
To:        freebsd-questions@freebsd.org
Subject:   Re: perl confusion --> failed to start spamd
Message-ID:  <alpine.BSF.2.21.99999.352.1912301941370.14099@enterprise.ximalas.info>
In-Reply-To: <CAHcg-UEuiCv_NHuDFUsBwePCf=xmbJ=6dCExevhayKqoHvcFXA@mail.gmail.com>
References:  <CAHcg-UEuiCv_NHuDFUsBwePCf=xmbJ=6dCExevhayKqoHvcFXA@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Mon, 30 Dec 2019 13:39-0500, Andy Firman wrote:

> Hi,
> 
> I recently updated a "php" package due to security vulns. This caused a
> problem with Apache, and (thanks to this mailing list) I was told I need to
> upgrade package "apr". During that process, something happened with perl,
> and I now have 2 versions installed. Now I am unable to use spamassassin.
> How do I troubleshoot this?
> 
> FreeBSD 12.0-RELEASE-p10
> 
> #pkg info |grep perl
> 
> perl5-5.30.0                   Practical Extraction and Report Language
> perl5.28-5.28.2                Practical Extraction and Report Language
> 
> # /usr/local/etc/rc.d/sa-spamd start
> Starting spamd.

> Can't locate NetAddr/IP.pm in @INC (you may need to install the NetAddr::IP
> module) (@INC contains: /usr/local/lib/perl5/site_perl

For some reason you're missing net-mgmt/p5-NetAddr-IP.

Either pkg add net-mgmt/p5-NetAddr-IP, or (forcefully) reapply 
mail/spamassassin.

Here's the dependency list for mail/spamassassin on my system, and 
yours should be the same:

Depends on     :
        p5-HTTP-Date-6.05
        p5-HTML-Parser-3.72
        p5-Net-IDN-Encode-2.500
        p5-IO-Socket-SSL-2.066
        p5-Digest-SHA1-2.13_1
        p5-Crypt-OpenSSL-RSA-0.31
        gnupg-2.2.19
        p5-URI-1.76
        p5-Net-CIDR-Lite-0.21_1
        p5-NetAddr-IP-4.079
        razor-agents-2.84_1
        py37-pyzor-1.0.0
        p5-Mail-SPF-2.9.0_5
        p5-Mail-DKIM-0.57
        perl5-5.30.1
        p5-Net-LibIDN-0.12_5
        p5-Net-DNS-1.21,1
        re2c-0.14.3
        p5-Encode-Detect-1.01_1

> /usr/local/lib/perl5/site_perl/mach/5.30 /usr/local/lib/perl5/5.30/mach
> /usr/local/lib/perl5/5.30) at
> /usr/local/lib/perl5/site_perl/Mail/SpamAssassin/Util.pm line 70.
> BEGIN failed--compilation aborted at
> /usr/local/lib/perl5/site_perl/Mail/SpamAssassin/Util.pm line 70.
> Compilation failed in require at
> /usr/local/lib/perl5/site_perl/Mail/SpamAssassin/Conf.pm line 85.
> BEGIN failed--compilation aborted at
> /usr/local/lib/perl5/site_perl/Mail/SpamAssassin/Conf.pm line 85.
> Compilation failed in require at
> /usr/local/lib/perl5/site_perl/Mail/SpamAssassin.pm line 71.
> BEGIN failed--compilation aborted at
> /usr/local/lib/perl5/site_perl/Mail/SpamAssassin.pm line 71.
> Compilation failed in require at /usr/local/bin/spamd line 240.
> BEGIN failed--compilation aborted at /usr/local/bin/spamd line 240.
> /usr/local/etc/rc.d/sa-spamd: WARNING: failed to start spamd

-- 
Trond.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?alpine.BSF.2.21.99999.352.1912301941370.14099>